{
  "custom": {},
  "params": {
    "body": "",
    "bodyText": "",
    "detailedDescription": "",
    "params": [],
    "responses": [],
    "showParams": true
  },
  "propConfig": {
    "params.body": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.bodyText": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.detailedDescription": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.params": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.responses": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.showBody": {
      "paramDirection": "input",
      "persistent": false
    },
    "params.showParams": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 648
    },
    "loading": {
      "mode": "blocking"
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "lbl_params"
        },
        "position": {
          "basis": "35px"
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "path": "view.params.showParams"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "style": {
            "classes": "Label/labelBody",
            "marginBottom": 5,
            "marginTop": 5,
            "paddingLeft": 10,
            "textAlign": "left"
          },
          "text": "Parameters"
        },
        "type": "ia.display.label"
      },
      {
        "meta": {
          "name": "tbl_params"
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "path": "view.params.showParams"
              },
              "type": "property"
            }
          },
          "props.data": {
            "binding": {
              "config": {
                "path": "view.params.params"
              },
              "transforms": [
                {
                  "code": "\theaders \u003d [\u0027Name\u0027,\u0027Data Type\u0027, \u0027Description\u0027]\n\tdata \u003d []\n\tfor item in value:\n\t\tdata.append([item[\u0027Name\u0027],item[\u0027DataType\u0027],item[\u0027Description\u0027]])\n\tds \u003d system.dataset.toDataSet(headers,data)\n\t\n\treturn ds",
                  "type": "script"
                }
              ],
              "type": "property"
            }
          }
        },
        "props": {
          "cells": {
            "style": {
              "fontFamily": "Roboto"
            }
          },
          "pager": {
            "bottom": false,
            "initialOption": 1
          },
          "rows": {
            "highlight": {
              "enabled": false
            },
            "striped": {
              "enabled": false
            },
            "style": {
              "padding": 15
            }
          },
          "selection": {
            "enableRowSelection": false,
            "mode": "single interval",
            "selectedColumn": ""
          },
          "virtualized": false
        },
        "type": "ia.display.table"
      },
      {
        "meta": {
          "name": "Markdown"
        },
        "propConfig": {
          "props.source": {
            "binding": {
              "config": {
                "path": "view.params.detailedDescription"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "markdown": {
            "escapeHtml": false
          }
        },
        "type": "ia.display.markdown"
      },
      {
        "meta": {
          "name": "lbl_body"
        },
        "position": {
          "basis": "35px"
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "path": "view.params.showBody"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "style": {
            "classes": "Label/labelBody",
            "marginBottom": 5,
            "marginTop": 10,
            "paddingLeft": 10,
            "textAlign": "left"
          },
          "text": "Request Body"
        },
        "type": "ia.display.label"
      },
      {
        "meta": {
          "name": "embed_body"
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "path": "view.params.showBody"
              },
              "type": "property"
            }
          },
          "props.params.code": {
            "binding": {
              "config": {
                "path": "view.params.body"
              },
              "type": "property"
            }
          },
          "props.params.text": {
            "binding": {
              "config": {
                "path": "view.params.bodyText"
              },
              "type": "property"
            },
            "persistent": false
          }
        },
        "props": {
          "path": "API/API Example Code"
        },
        "type": "ia.display.view"
      },
      {
        "meta": {
          "name": "lbl_spacer"
        },
        "position": {
          "basis": "32px"
        },
        "props": {
          "style": {
            "classes": "Label/labelBody",
            "paddingLeft": 10,
            "textAlign": "left"
          }
        },
        "type": "ia.display.label"
      },
      {
        "meta": {
          "name": "lbl_responses"
        },
        "position": {
          "basis": "35px"
        },
        "props": {
          "style": {
            "classes": "Label/labelBody",
            "marginBottom": 5,
            "marginTop": 5,
            "paddingLeft": 10,
            "textAlign": "left"
          },
          "text": "Response Codes"
        },
        "type": "ia.display.label"
      },
      {
        "meta": {
          "name": "Accordion"
        },
        "props": {
          "items": [],
          "unusedSpaceStyle": {
            "backgroundColor": "#FFFFFF00"
          }
        },
        "type": "ia.display.accordion"
      }
    ],
    "events": {
      "system": {
        "onStartup": {
          "config": {
            "script": "\tdef getElement(respCode, text, code):\n\t\treturn {\n\t    \"expanded\": False,\n\t    \"header\": {\n\t      \"toggle\": {\n\t        \"enabled\": True,\n\t        \"expandedIcon\": {\n\t          \"path\": \"material/expand_less\",\n\t          \"color\": \"\",\n\t          \"style\": {\n\t            \"classes\": \"\"\n\t          }\n\t        },\n\t        \"collapsedIcon\": {\n\t          \"path\": \"material/expand_more\",\n\t          \"color\": \"\",\n\t          \"style\": {\n\t            \"classes\": \"\"\n\t          }\n\t        }\n\t      },\n\t      \"content\": {\n\t        \"type\": \"text\",\n\t        \"text\": respCode,\n\t        \"useDefaultViewWidth\": False,\n\t        \"useDefaultViewHeight\": False,\n\t        \"viewPath\": \"\",\n\t        \"viewParams\": {},\n\t        \"style\": {\n\t          \"classes\": \"\"\n\t        }\n\t      },\n\t      \"height\": \"40px\",\n\t      \"reverse\": False,\n\t      \"style\": {\n\t        \"classes\": \"\",\n\t        \u0027background-color\u0027:\u0027#0000001F\u0027\n\t      }\n\t    },\n\t    \"body\": {\n\t      \"viewPath\": \"API/API Example Code\",\n\t      \"viewParams\": {\n\t        \"text\": text,\n\t        \"code\": code\n\t      },\n\t      \"useDefaultViewWidth\": False,\n\t      \"useDefaultViewHeight\": False,\n\t      \"height\": \"auto\",\n\t      \"style\": {\n\t        \"classes\": \"\",\n\t        \"margin\": \"16px\"\n\t      }\n\t    }\n\t  }\n\n\tresponses \u003d self.view.params.responses\n\telements \u003d []\n\tfor resp in responses:\n\t\telements.append(getElement(resp[\u0027code\u0027], resp[\u0027Description\u0027], resp[\u0027ExampleData\u0027]))\n\n\tself.getChild(\"Accordion\").props.items \u003d elements"
          },
          "scope": "G",
          "type": "script"
        }
      }
    },
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}